## ros-noetic-flexbe-app 2.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(flexbe_app)

find_package(catkin REQUIRED)

catkin_package()

#add_custom_target(nwjs_inst)
#add_custom_command(TARGET nwjs_inst POST_BUILD COMMAND bin/nwjs_install)

add_custom_command(OUTPUT nwjs
  COMMAND bin/nwjs_install
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  VERBATIM
)

add_custom_target(nw_install DEPENDS nwjs)

if(NOT ${CMAKE_CURRENT_SOURCE_DIR}/nwjs)
  safe_execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/bin/nwjs_install)
endif()

#############
## Install ##
#############

install(PROGRAMS
    bin/nwjs_install
    bin/run_app
    bin/shortcut
    bin/test_report
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES
    package.json
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY
    src
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY
    nwjs
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
)
install(DIRECTORY
    launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# run tests
if(CATKIN_ENABLE_TESTING)
	find_package(rostest REQUIRED)
	add_rostest(launch/test_report.test)
endif()

=== debian/changelog ===
ros-noetic-flexbe-app (2.4.1-1focal) focal; urgency=high

  * merge PR #74 <https://github.com/FlexBE/flexbe_app/issues/74>, 76, 77; tweak CI workflow
  * Merge pull request #60 <https://github.com/FlexBE/flexbe_app/issues/60> from fmessmer/fix/catkin_lint
    some catkin_lint fixes
  * some catkin_lint fixes
  * Contributors: David Conner, dcconner, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Mon, 22 May 2023 04:00:00 -0000

ros-noetic-flexbe-app (2.4.0-1focal) focal; urgency=high

  * Merge develop branch
  * Updates for Melodic and Noetic releases on github.com/FlexBE

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-app (2.3.0-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/feature/python3_support' into develop
  * Add support for python3
  * Use correct state prefix in autocompletion
    (fix #65 <https://github.com/FlexBE/flexbe_app/issues/65>)
  * Prevent module caching in Python parser to fix state reloading
    (see #61 <https://github.com/FlexBE/flexbe_app/issues/61>)
  * Sort input-dependent elements for more deterministic code generation
    (see #`team-vigir/flexbe_behavior_engine#111 <https://github.com/team-vigir/flexbe_behavior_engine/issues/111>`_)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-app (2.2.4-1focal) focal; urgency=high

  * Revert nwjs version increment because of Travis failure due to Chromium bug
    (see https://crbug.com/1025266)
  * Increment nwjs version after file chooser fix
  * Use HTML file chooser instead of Chrome file API for settings import and export
    (see #52 <https://github.com/FlexBE/flexbe_app/issues/52>)
  * Improve cache for workspace switching and allow to disable it
  * Fix detection of new packages
  * Merge branch 'benmaidel-feature/cmd_option_checkbehaviors' into develop
  * Always run all behavior check tests and print error message
  * Robustify behavior loading for generating behavior check reports
  * Close window-related sub-processes also when only closing the window
    (see team-vigir/flexbe_behavior_engine#105 <https://github.com/team-vigir/flexbe_behavior_engine/issues/105>)
  * Merge remote-tracking branch 'origin/fix/handle_closed_window' into develop
  * add --check-behavior command line option
  * Fix support for symbolic references in Python parser
  * Robustify Python parser against instantiation failures
    (see team-vigir/flexbe_behavior_engine#99 <https://github.com/team-vigir/flexbe_behavior_engine/issues/99>)
  * Close window-related sub-processes also when only closing the window
    (see team-vigir/flexbe_behavior_engine#105 <https://github.com/team-vigir/flexbe_behavior_engine/issues/105>)
  * Merge branch 'cheffe112-bugfix-import-config' into develop
  * Fix mixed indentation
  * reverting nw.js to last known-to-work version
    From nw.js 0.42.4, the import/export configuration functionality throws an "Invalid calling page. This function can't be called from a background page." error. This has been reported for nw.js already on https://github.com/nwjs/nw.js/issues/7349.
    Hence, the import/export functionality is currently unusable with nw.js >0.42.3 as integrated in b93078fd6705445bf6183af40598619243800b1e.
  * throw error if importing/exporting configuration crashes
  * Explicitly spawn window on center position because default changed
  * Allow comment after super-call in regex state parser
    (see team-vigir/flexbe_behavior_engine#98 <https://github.com/team-vigir/flexbe_behavior_engine/issues/98>)
  * Check for undefined transition label (fix team-vigir/flexbe_behavior_engine#100 <https://github.com/team-vigir/flexbe_behavior_engine/issues/100>)
  * Merge branch 'cheffe112-bugfix-python-parsing' into develop
  * Fix mixed indentation
  * bugfix: avoid crash during Python state parsing on empty documentation string
    The Python state parsing feature introduced in 4f20227ef900ca32e78414c190fb464d964666e5 used to crash when no docstring is provided in a state definition, hence stalling the parsing procedure. This commit returns the default label "[no documentation]" on a missing docstring.
  * Contributors: Benjamin Maidel, Philipp Schillinger, Tobias Doernbach

 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-app (2.2.3-1focal) focal; urgency=high

  * Increment nwjs version
  * Fix documentation format warnings (see #48 <https://github.com/FlexBE/flexbe_app/issues/48>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 15 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-app (2.2.2-1focal) focal; urgency=high

  * Add python-based state parser alternative (see team-vigir/flexbe_behavior_engine#93 <https://github.com/team-vigir/flexbe_behavior_engine/issues/93>)
  * Implement a quick connect when dropping a state onto a transition
  * Add internal dependencies (see #39 <https://github.com/FlexBE/flexbe_app/issues/39>)
  * Enable package cache and track update progress
  * Clear outcome request on transition and explicit message
  * Robustify package parser against malformed package.xml (see #37 <https://github.com/FlexBE/flexbe_app/issues/37>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 11 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-app (2.2.1-1focal) focal; urgency=high

  * Match update of flexbe_ci to xenial
  * Add dependency on libnss3 to package.xml (see #35 <https://github.com/FlexBE/flexbe_app/issues/35>)
  * Improve support for activities
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Various minor improvements
  * Allow to set parameters of included behaviors
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000



=== debian/control ===
Source: ros-noetic-flexbe-app
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-noetic-catkin, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>
Homepage: http://ros.org/wiki/flexbe_app
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libasound2-dev, libnss3-dev, libxss1, ros-noetic-actionlib, ros-noetic-flexbe-mirror, ros-noetic-flexbe-msgs, ros-noetic-flexbe-onboard, ros-noetic-flexbe-widget, ros-noetic-genpy, ros-noetic-rospack, ros-noetic-rospy, ros-noetic-std-msgs
Description: flexbe_app provides a user interface (editor + runtime control) for the FlexBE behavior engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flexbe-app//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
